aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMax Howell2009-10-26 18:16:42 +0000
committerMax Howell2009-11-07 18:22:33 +0000
commit8081a95c4acc2e83de22453b663959af9fc85ac5 (patch)
tree6fdb789b2330cd17d147aae8d50efc3349b47ac9 /bin
parent03ca3e24d0ccd4633a29aab6b1dc1c43ead5c4e2 (diff)
downloadbrew-8081a95c4acc2e83de22453b663959af9fc85ac5.tar.bz2
Better errors if missing keg or formula arguments
Diffstat (limited to 'bin')
-rwxr-xr-xbin/brew6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/brew b/bin/brew
index 437be8c73..9c680abf2 100755
--- a/bin/brew
+++ b/bin/brew
@@ -224,6 +224,12 @@ begin
puts ARGV.usage
end
+rescue FormulaUnspecifiedError
+ puts "This command requires a formula argument"
+ exit 1
+rescue KegUnspecifiedError
+ puts "This command requires a keg argument"
+ exit 1
rescue UsageError
onoe "Invalid usage"
puts ARGV.usage